Debian Bug report logs - #617277
linux-image-2.6.37-2-amd64: rt2x00usb crashes kernel

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michael Below <mbelow@antithese.de>

Date: Mon, 7 Mar 2011 18:27:01 UTC

Severity: important

Tags: upstream

Found in version 2.6.37-2

Fixed in version linux-2.6/2.6.38~rc6-1~experimental.1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#617277; Package linux-2.6. (Mon, 07 Mar 2011 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Below <mbelow@antithese.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Mar 2011 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Below <mbelow@antithese.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.37-2-amd64: rt2x00usb crashes kernel
Date: Mon, 07 Mar 2011 19:24:37 +0100
Package: linux-2.6
Version: 2.6.37-2
Severity: important
Tags: upstream


There are irregular crashes with this kernel version, they seem 
to be related with rt73usb. The crashes appear only with .37, I had 
the impression that they happened more often with the version from 
experimental.

The problem is reported here for archlinux: 
https://bbs.archlinux.org/viewtopic.php?id=112712
with links to relevant posts on the rt2x00 mailing list.
There is also a discussion on the kernel mailing list about it:
http://groups.google.com/group/linux.kernel/browse_thread/thread/0f96721eb044c01c?hide_quotes=no#msg_ecd25548b0fc8be7

The crash is not logged, but I will attach a mobile phone screenshot.

-- Package-specific info:
** Version:
Linux version 2.6.37-2-amd64 (Debian 2.6.37-2) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-12) ) #1 SMP Sun Feb 27 10:12:22 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.37-2-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro quiet

** Not tainted

** Kernel log:
[    8.044176] radeon 0000:01:05.0: WB enabled
[    8.076019] [drm] ring test succeeded in 1 usecs
[    8.076120] [drm] radeon: ib pool ready.
[    8.076180] [drm] ib test succeeded in 0 usecs
[    8.076182] [drm] Enabling audio support
[    8.076190] failed to evaluate ATIF got AE_BAD_PARAMETER
[    8.076544] [drm] Radeon Display Connectors
[    8.076546] [drm] Connector 0:
[    8.076547] [drm]   VGA
[    8.076549] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
[    8.076551] [drm]   Encoders:
[    8.076552] [drm]     CRT1: INTERNAL_KLDSCP_DAC1
[    8.076554] [drm] Connector 1:
[    8.076555] [drm]   DVI-D
[    8.076556] [drm]   HPD1
[    8.076558] [drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
[    8.076559] [drm]   Encoders:
[    8.076560] [drm]     DFP1: INTERNAL_KLDSCP_LVTMA
[    8.130331] [drm] radeon: power management initialized
[    8.206496] [drm] fb mappable at 0xE0141000
[    8.206497] [drm] vram apper at 0xE0000000
[    8.206498] [drm] size 3981312
[    8.206500] [drm] fb depth is 24
[    8.206501] [drm]    pitch is 4608
[    8.224821] Console: switching to colour frame buffer device 144x54
[    8.233548] fb0: radeondrmfb frame buffer device
[    8.233549] drm: registered panic notifier
[    8.233554] [drm] Initialized radeon 2.7.0 20080528 for 0000:01:05.0 on minor 0
[    8.479502] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    8.479981] Registered led device: rt73usb-phy0::radio
[    8.480027] Registered led device: rt73usb-phy0::assoc
[    8.480047] Registered led device: rt73usb-phy0::quality
[    8.480502] usbcore: registered new interface driver rt73usb
[    8.495017] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:14.2/input/input9
[    9.029529] Adding 3004148k swap on /dev/sda2.  Priority:-1 extents:1 across:3004148k 
[    9.292457] EXT3-fs (sda4): using internal journal
[    9.571135] loop: module loaded
[    9.700179] smsc47b397: found SMSC SCH5317 (base address 0x0880, revision 1)
[   48.841374] EXT3-fs: barriers not enabled
[   48.856140] kjournald starting.  Commit interval 5 seconds
[   48.856375] EXT3-fs (dm-3): using internal journal
[   48.856380] EXT3-fs (dm-3): mounted filesystem with ordered data mode
[   48.898360] EXT3-fs: barriers not enabled
[   48.917675] kjournald starting.  Commit interval 5 seconds
[   48.917921] EXT3-fs (dm-2): using internal journal
[   48.917923] EXT3-fs (dm-2): mounted filesystem with ordered data mode
[   48.962043] EXT3-fs: barriers not enabled
[   48.971440] kjournald starting.  Commit interval 5 seconds
[   48.971691] EXT3-fs (dm-0): using internal journal
[   48.971694] EXT3-fs (dm-0): mounted filesystem with ordered data mode
[   48.997679] EXT3-fs: barriers not enabled
[   49.021593] kjournald starting.  Commit interval 5 seconds
[   49.021848] EXT3-fs (dm-1): using internal journal
[   49.021851] EXT3-fs (dm-1): mounted filesystem with ordered data mode
[   53.331592] fuse init (API version 7.15)
[   56.041338] vboxdrv: Found 4 processor cores.
[   56.041413] VBoxDrv: dbg - g_abExecMemory=ffffffffa07f1ea0
[   56.041461] vboxdrv: fAsync=0 offMin=0x313 offMax=0x6c7c
[   56.041503] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[   56.041505] vboxdrv: Successfully loaded version 4.0.2_OSE (interface 0x00160000).
[   61.524543] tg3 0000:3f:00.0: irq 40 for MSI/MSI-X
[   61.556817] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   61.793817] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   73.244399] Bluetooth: Core ver 2.15
[   73.244418] NET: Registered protocol family 31
[   73.244420] Bluetooth: HCI device and connection manager initialized
[   73.244423] Bluetooth: HCI socket layer initialized
[   73.314653] Bluetooth: L2CAP ver 2.15
[   73.314655] Bluetooth: L2CAP socket layer initialized
[   73.317911] Bluetooth: RFCOMM TTY layer initialized
[   73.317915] Bluetooth: RFCOMM socket layer initialized
[   73.317917] Bluetooth: RFCOMM ver 1.11
[   73.381447] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   73.381450] Bluetooth: BNEP filters: protocol multicast
[   73.600816] Bluetooth: SCO (Voice Link) ver 0.6
[   73.600818] Bluetooth: SCO socket layer initialized
[   74.352549] wlan0: authenticate with 00:c0:02:1a:80:bc (try 1)
[   74.354055] wlan0: authenticated
[   74.375547] wlan0: associate with 00:c0:02:1a:80:bc (try 1)
[   74.378303] wlan0: RX AssocResp from 00:c0:02:1a:80:bc (capab=0x471 status=0 aid=2)
[   74.378306] wlan0: associated
[   74.391055] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   78.141074] lp: driver loaded but no devices found
[   78.409979] ppdev: user-space parallel port driver
[   83.806524] powernow-k8: Found 1 AMD Phenom(tm) II X4 810 Processor (4 cpu cores) (version 2.20.00)
[   83.806562] powernow-k8:    0 : pstate 0 (2600 MHz)
[   83.806564] powernow-k8:    1 : pstate 1 (1900 MHz)
[   83.806566] powernow-k8:    2 : pstate 2 (1400 MHz)
[   83.806568] powernow-k8:    3 : pstate 3 (800 MHz)
[   84.432007] wlan0: no IPv6 routers present
[   84.739103] usb 1-2: usbfs: interface 1 claimed by usblp while 'usb' sets config #1
[  170.492680] process `skype' is using obsolete setsockopt SO_BSDCOMPAT
[  306.136064] usb 5-3: new full speed USB device using ohci_hcd and address 2
[  306.306224] usb 5-3: New USB device found, idVendor=1131, idProduct=1001
[  306.306234] usb 5-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  306.306242] usb 5-3: Product: ISSCEDRBTA
[  306.306247] usb 5-3: Manufacturer: ISSC
[  306.454813] Bluetooth: Generic Bluetooth USB driver ver 0.6
[  306.455218] usbcore: registered new interface driver btusb
[  741.536855] recollindex[3602]: segfault at 2601000 ip 00007f735cd13af4 sp 00007fff084dcc08 error 4 in libc-2.11.2.so[7f735cc94000+158000]

** Model information
sys_vendor: Hewlett-Packard
product_name: HP Compaq dc5850 Microtower
product_version:  
chassis_vendor: Hewlett-Packard
chassis_version: 
bios_vendor: Hewlett-Packard
bios_version: 786F6 v03.10
board_vendor: Hewlett-Packard
board_name: 3029h
board_version: 

** Loaded modules:
Module                  Size  Used by
btusb                   9679  4 
powernow_k8            12391  0 
mperf                   1243  1 powernow_k8
cpufreq_conservative     7646  0 
cpufreq_userspace       2016  0 
cpufreq_powersave        942  0 
cpufreq_stats           2633  0 
parport_pc             18869  0 
ppdev                   5139  0 
lp                      7966  0 
parport                25742  3 parport_pc,ppdev,lp
sco                     7563  2 
bnep                    9912  2 
rfcomm                 28486  13 
l2cap                  30438  18 bnep,rfcomm
crc16                   1327  1 l2cap
bluetooth              44469  9 btusb,sco,bnep,rfcomm,l2cap
vboxnetadp              4601  0 
vboxnetflt             15907  0 
vboxdrv              1739634  2 vboxnetadp,vboxnetflt
binfmt_misc             6557  1 
fuse                   54683  1 
smsc47b397              3159  0 
loop                   13819  0 
dm_crypt               10495  0 
snd_hda_codec_analog    70768  1 
arc4                    1330  2 
ecb                     1881  2 
rt73usb                18264  0 
crc_itu_t               1331  1 rt73usb
rt2x00usb               7150  1 rt73usb
rt2x00lib              24289  2 rt73usb,rt2x00usb
snd_hda_intel          19434  2 
snd_hda_codec          62413  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               5484  1 snd_hda_codec
snd_pcm_oss            31788  0 
snd_mixer_oss          12591  1 snd_pcm_oss
snd_pcm                61789  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
usblp                   9713  0 
mac80211              168033  2 rt2x00usb,rt2x00lib
radeon                682777  2 
ttm                    44440  1 radeon
i2c_piix4               7808  0 
drm_kms_helper         22085  1 radeon
cyberjack               6905  0 
k10temp                 2675  0 
usbserial              26776  1 cyberjack
drm                   152653  4 radeon,ttm,drm_kms_helper
i2c_algo_bit            4105  1 radeon
joydev                  9144  0 
snd_seq_midi            4486  0 
power_supply            7683  1 radeon
cfg80211              114261  2 rt2x00lib,mac80211
i2c_core               16549  5 radeon,i2c_piix4,drm_kms_helper,drm,i2c_algo_bit
edac_core              30192  0 
tpm_infineon            6987  0 
snd_rawmidi            15945  1 snd_seq_midi
tpm_tis                 7157  0 
hp_wmi                  5126  0 
evdev                   8115  15 
edac_mce_amd            8023  0 
snd_seq_midi_event      4786  1 snd_seq_midi
tpm                     9923  2 tpm_infineon,tpm_tis
tpm_bios                4709  1 tpm
snd_seq                42454  3 snd_seq_midi,snd_seq_midi_event
processor              23794  1 powernow_k8
snd_timer              16304  2 snd_pcm,snd_seq
snd_seq_device          4531  3 snd_seq_midi,snd_rawmidi,snd_seq
sparse_keymap           2400  1 hp_wmi
wmi                     7204  1 hp_wmi
thermal_sys            11764  1 processor
pcspkr                  1739  0 
shpchp                 21923  0 
rfkill                 13870  5 bluetooth,cfg80211,hp_wmi
snd                    47132  16 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
pci_hotplug            19711  1 shpchp
serio_raw               3726  0 
psmouse                45274  0 
soundcore               4614  1 snd
snd_page_alloc          6289  2 snd_hda_intel,snd_pcm
button                  4722  0 
usbhid                 30810  0 
hid                    65158  1 usbhid
usb_storage            39959  0 
uas                     6917  0 
ext3                  106389  5 
jbd                    36976  1 ext3
mbcache                 5104  1 ext3
dm_mod                 55987  15 dm_crypt
sg                     18967  0 
sr_mod                 12759  0 
sd_mod                 28386  4 
cdrom                  29865  1 sr_mod
crc_t10dif              1300  1 sd_mod
ohci_hcd               18312  0 
ahci                   19409  3 
libahci                15957  1 ahci
libata                143334  2 ahci,libahci
tg3                   104211  0 
scsi_mod              154559  6 usb_storage,uas,sg,sr_mod,sd_mod,libata
libphy                 14175  1 tg3
ehci_hcd               32416  0 
floppy                 50981  0 
usbcore               119015  12 btusb,rt73usb,rt2x00usb,usblp,cyberjack,usbserial,usbhid,usb_storage,uas,ohci_hcd,ehci_hcd
nls_base                6369  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:24:21:7b:ce:ac brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:24:01:9c:32:23 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.5/24 brd 192.168.1.255 scope global wlan0
    inet6 fe80::224:1ff:fe9c:3223/64 scope link 
       valid_lft forever preferred_lft forever
4: vboxnet0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 0a:00:27:00:00:00 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:  106421     635    0    0    0     0          0         0   106421     635    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0: 4353378    7585    0    0    0     0          0         0  1290789    7349    0    0    0     0       0          0
vboxnet0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    7185 total packets received
    1 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    7167 incoming packets delivered
    7642 requests sent out
    8 outgoing packets dropped
Icmp:
    45 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 45
    23 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 23
IcmpMsg:
        InType3: 45
        OutType3: 23
Tcp:
    384 active connections openings
    14 passive connection openings
    7 failed connection attempts
    171 connection resets received
    7 connections established
    5632 segments received
    5823 segments send out
    212 segments retransmited
    0 bad segments received.
    261 resets sent
Udp:
    1555 packets received
    23 packets to unknown port received.
    0 packet receive errors
    1673 packets sent
UdpLite:
TcpExt:
    5 packets pruned from receive queue because of socket buffer overrun
    41 TCP sockets finished time wait in fast timer
    480 delayed acks sent
    Quick ack mode was activated 32 times
    140 packets directly queued to recvmsg prequeue.
    2465 bytes directly in process context from backlog
    28547 bytes directly received in process context from prequeue
    2280 packet headers predicted
    70 packets header predicted and directly queued to user
    635 acknowledgments not containing data payload received
    393 predicted acknowledgments
    3 congestion windows recovered without slow start by DSACK
    192 congestion windows recovered without slow start after partial ack
    209 other TCP timeouts
    177 packets collapsed in receive queue due to low socket buffer
    32 DSACKs sent for old packets
    17 DSACKs received
    33 connections reset due to unexpected data
    168 connections reset due to early user close
    TCPDSACKIgnoredOld: 6
    TCPDSACKIgnoredNoUndo: 5
IpExt:
    InMcastPkts: 19
    OutMcastPkts: 29
    InBcastPkts: 70
    OutBcastPkts: 66
    InOctets: 4283150
    OutOctets: 1107031
    InMcastOctets: 6914
    OutMcastOctets: 8037
    InBcastOctets: 14018
    OutBcastOctets: 13068

*** Device features:
eth0: 0x1149b3
lo: 0x13865
vboxnet0: 0x0
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge [1022:9600]
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR+ <PERR- INTx-
	Latency: 32
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Hewlett-Packard Company Device [103c:9602] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: f0000000-f01fffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:06.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 2) [1022:9606] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=3f, subordinate=3f, sec-latency=0
	Memory behind bridge: f0200000-f02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [IDE mode] [1002:4390] (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 2100 [size=16]
	Region 5: Memory at f0308000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0304000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0305000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f0308400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0306000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0307000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f0308500 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3a)
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: piix4_smbus

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at f0300000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop+ ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=64
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon 3100 Graphics [1002:9611] (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at 1100 [size=256]
	Region 2: Memory at f0100000 (32-bit, non-prefetchable) [size=64K]
	Region 5: Memory at f0000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: radeon

3f:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express [14e4:167a] (rev 02)
	Subsystem: Hewlett-Packard Company Device [103c:3029]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f0200000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: tg3


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 07d1:3c03 D-Link System AirPlus G DWL-G122 Wireless Adapter(rev.C1) [Ralink RT73]
Bus 001 Device 003: ID 04e8:342c Samsung Electronics Co., Ltd 
Bus 002 Device 002: ID 0bda:0181 Realtek Semiconductor Corp. 
Bus 004 Device 002: ID 046d:c504 Logitech, Inc. Cordless Mouse+Keyboard Receiver
Bus 004 Device 003: ID 046d:c518 Logitech, Inc. MX610 Laser Cordless Mouse
Bus 004 Device 004: ID 0c4b:0100 Reiner SCT Kartensysteme GmbH cyberJack e-com/pinpad
Bus 005 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'squeeze-updates'), (500, 'proposed-updates'), (500, 'stable'), (10, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.37-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.37-2   Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.37-2-amd64 recommends:
ii  firmware-linux-f 2.6.37-1~experimental.1 Binary firmware for various driver

Versions of packages linux-image-2.6.37-2-amd64 suggests:
ii  grub                          0.97-64    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.37              <none>     (no description available)

Versions of packages linux-image-2.6.37-2-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.28       Binary firmware for various driver
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.28       Binary firmware for Ralink wireles
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.37-2-amd64/postinst/missing-firmware-2.6.37-2-amd64:
  linux-image-2.6.37-2-amd64/postinst/ignoring-do-bootloader-2.6.37-2-amd64:
  linux-image-2.6.37-2-amd64/prerm/removing-running-kernel-2.6.37-2-amd64: true
  linux-image-2.6.37-2-amd64/postinst/depmod-error-initrd-2.6.37-2-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#617277; Package linux-2.6. (Mon, 07 Mar 2011 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Below <below@judiz.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 07 Mar 2011 18:48:03 GMT) Full text and rfc822 format available.


Message #10 received at 617277@bugs.debian.org (full text, mbox):

From: Michael Below <below@judiz.de>
To: 617277@bugs.debian.org
Date: Mon, 7 Mar 2011 19:38:32 +0100
[Message part 1 (text/plain, inline)]
Here's the screenshot (sorry for the bad quality)
[07032011097.jpg (image/jpeg, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#617277; Package linux-2.6. (Tue, 08 Mar 2011 17:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Below <below@judiz.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Mar 2011 17:12:08 GMT) Full text and rfc822 format available.

Message #15 received at 617277@bugs.debian.org (full text, mbox):

From: Michael Below <below@judiz.de>
To: 617277@bugs.debian.org
Subject: Another screenshot
Date: Tue, 8 Mar 2011 18:09:01 +0100
[Message part 1 (text/plain, inline)]
Thanks to today's crash I got a better screenshot.

The interesting bit in both screenshot seems to be a call to
rt2x00lib_txdone, followed or preceded by rt2x00usb_work_txdone

As I understand the kernel list discussion there is a race condition
between these two that has been fixed after 2.6.37
[08032011098.jpg (image/jpeg, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#617277; Package linux-2.6. (Wed, 30 Mar 2011 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Below <below@judiz.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 09:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 617277@bugs.debian.org (full text, mbox):

From: Michael Below <below@judiz.de>
To: 617277@bugs.debian.org
Subject: Seems fixed in 2.6.38
Date: Wed, 30 Mar 2011 11:42:17 +0200
I am running 2.6.38 for some days now without crash, the bug seems to
be fixed there.




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Thu, 19 May 2011 18:00:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Below <mbelow@antithese.de>:
Bug acknowledged by developer. (Thu, 19 May 2011 18:00:06 GMT) Full text and rfc822 format available.

Message #25 received at 617277-done@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Below <below@judiz.de>
Cc: 617277-done@bugs.debian.org
Subject: Re: Seems fixed in 2.6.38
Date: Thu, 19 May 2011 19:57:49 +0200
Package: linux-2.6
Version: 2.6.38~rc6-1~experimental.1

Am 30.03.2011 um 11:42 schrieb Michael Below:

> I am running 2.6.38 for some days now without crash, the bug seems to
> be fixed there.

Having suffered from the rt2x00usb crashes in 2.6.37 myself, I am taking
the liberty to close this bug, since upgrading to 2.6.38 cured the
problem for me as well.

Cheers,
       Sven




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:44:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:51:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.